## org.hibernate.secure.internal
Class HibernatePermission

    java.lang.Object
      java.security.Permission
          org.hibernate.secure.internal.HibernatePermission

All Implemented Interfaces:
  Serializable, Guard

    public class HibernatePermission

extends Permission

See Also:
  Serialized Form

Field Summary
`static String` `ANY`
`static String` `DELETE`
`static String` `INSERT`
`static String` `READ`
`static String` `UPDATE`

Constructor Summary
`HibernatePermission(String entityName, String actions)`

Method Summary
`boolean` `equals(Object obj)`
`String` `getActions()`
`int` `hashCode()`
`boolean` `implies(Permission permission)`
`String` `toString()`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INSERT

    public static final String INSERT

See Also:
  Constant Field Values

### UPDATE

    public static final String UPDATE

See Also:
  Constant Field Values

### DELETE

    public static final String DELETE

See Also:
  Constant Field Values

### READ

    public static final String READ

See Also:
  Constant Field Values

### ANY

    public static final String ANY

See Also:
  Constant Field Values

Constructor Detail

### HibernatePermission

    public HibernatePermission(String entityName,
                               String actions)

Method Detail

### implies

    public boolean implies(Permission permission)

  Specified by:
    `implies` in class `Permission`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in class `Permission`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `Permission`

### getActions

    public String getActions()

  Specified by:
    `getActions` in class `Permission`

### toString

    public String toString()

  Overrides:
    `toString` in class `Permission`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.